package com.ruoyi.inventory.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.web.servlet.config.annotation.EnableWebMvc;

import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class TbInventoryCompare extends BaseEntity {
    @Excel(name = "资产名称")
    private String inventoryName;

    @Excel(name = "资产位置")
    private String inventoryLocationName;

    @Excel(name = "账面资产数量")
    private Integer expectInventoryNumber;

    @Excel(name = "实点资产数量")
    private Integer realityInventoryNumber;

    @Excel(name = "数量损耗")
    private Integer lossNumber;

    /** 计量单位 */
    @Excel(name = "计量单位")
    private String units;

    @Excel(name = "资产损耗金额")
    private Double lossVal;


}
